| entrada col   | type		| dnscol field   |CVS| comment |
| ------------- | ------------- | -------------- |---| ------- |
| *Timing* |||||
| unixtime 	| BIGINT	| time           | X | Seconds since Epoch
| time 		| BIGINT	| time           | X | Miliseconds since Epoch 
| year		| INT		| time           | X |  |
| month		| INT		| time           | X |  |
| day		| INT		| time           | X |  |
| time_micro	| BIGINT	| delay_us       | X | Processing time (reply-request) |
| *Lengths* |||||
| len 		| INT		| req_pkt_len    | X | Request pkt length |
| res_len	| INT		| resp_pkt_len   | X | Response pkt length |
| dns_len 	| INT		| req_dns_len    | X | DNS payload length  |
| dns_res_len	| INT		| resp_dns_len   | X | DNS reply payload length |
| *Net features* |||||
| src 		| STRING	| client_addr    | X | Source (client) IP (Escaping: not necessary) |
| srcp 		| INT		| client_port    | X | Source (client) port |
| dst 		| STRING	| server_addr    | X | Dest. (server) IP (Escaping: not necessary) |
| dstp 		| INT		| server_port    | X | Dest. (server) port |
| ttl 		| INT		| req_ttl        | X | Request TTL
| ipv 		| INT		| net_ipv        | X | IPver: 4 / 6
| prot 		| INT		| net_proto      | X | TCP/UDP/... (val such as "17" =UDP)  |
| udp_sum 	| INT		| req_udp_sum    | X | UDP checksum  |
| *DNS core* |||||
| id 		| INT		| id             | X | DNS ID
| qname 	| STRING	| qname          | X | full qname, dotted with final dot (Escaping: libknot `knot_dname_to_str`)
| domainname 	| STRING	| qname          | X | last two domains (or TLD + 1 label), no final dot
| labels	| INT		| qname          | X |  |
| aa 		| BOOLEAN	| resp_aa        | X | Response (or request if no response) flags |
| tc 		| BOOLEAN	| resp_tc        | X |  |
| rd 		| BOOLEAN	| req_rd         | X |  |
| ra 		| BOOLEAN	| resp_ra        | X |  |
| z 		| BOOLEAN	| req_z          | X |  |
| ad 		| BOOLEAN	| resp_ad        | X |  |
| cd		| BOOLEAN	| req_cd         | X |  |
| ancount	| INT		| resp_ancount   | X |  |
| arcount	| INT		| resp_arcount   | X |  |
| nscount	| INT		| resp_nscount   | X |  |
| qdcount	| INT		| NA             | - | Only 0 or 1, determined by qname |
| opcode	| INT		| opcode         | X | Request opcode (=response) |
| rcode		| INT		| rcode          | X | Response code  |
| qtype		| INT		| qtype          | X |  |
| qclass	| INT		| qclass         | X |  |
| *EDNS* |||||
| edns_udp	| INT		| req_edns_udp   | X | UDP payload |
| edns_version	| SMALLINT	| req_edns_ver   | X | Version (NULL or 0)  |
| edns_do	| BOOLEAN	| req_edns_do    | X | DO bit |
| edns_ping	| BOOLEAN	| req_edns_ping  | . | Tough to detect! See [here](https://github.com/SIDN/entrada/blob/b787af190267df148683151638ce94508bd6139e/dnslib4java/src/main/java/nl/sidn/dnslib/message/records/edns0/OPTResourceRecord.java#L146) |
| edns_nsid	| STRING	| resp_edns_nsid | X | String (Escaping: default) |
| edns_dnssec_dau| STRING	| req_edns_dau   | X | Comma-separated list "1,3,5" |
| edns_dnssec_dhu| STRING	| req_edns_dhu   | X | Comma-separated list "1,3,5" |
| edns_dnssec_n3u| STRING	| req_edns_n3u   | X | Comma-separated list "1,3,5" |
| edns_client_subnet| STRING	| edns_client_subnet | . | "4,118.71.70/24,0" or "4,62.168.119/24,0" |
| edns_other	| STRING	| req_edns_other | . | List of EDNS option types like "3,10,9" from request if present, or from response (Entrada: request only) |
| edns_client_subnet_asn|STRING | NA             | - | By IP list (Maxmind) |
| edns_client_subnet_country|STRING| NA          | - | By IP list (Maxmind) |
| -             |               | resp_edns_rcode| X | Not implemented by Entrada |
| *Misc and unknown* |||||
| country	| STRING	| NA             | - | 2 letter code ("CZ", ..)  |
| asn		| STRING	| NA             | - | ASN ("AS1234", ...)  |
| frag 		| INT		| NULL           | - | Fragmentation? (Entrada: all NULL)
| resp_frag	| INT		| NULL           | - | Unknown (Entrada: all NULL) |
| proc_time	| INT		| NULL           | - | Unknown (Entrada: all NULL)  |
| is_google	| BOOLEAN	| NA             | - | By IP list (Maxmind) |
| is_opendns	| BOOLEAN	| NA             | - | By IP list (Maxmind) |
| server_location| STRING 	| NULL           | - | Server location (Entrada: all NULL) |
| server	| STRING	| NA             | - |  |

Escaping: default is to prepend backslash, newline, zero and separator with `\`
